%define upstream_name    Data-PathSimple
%define upstream_version v2.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Navigate and manipulate data structures using paths
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Data::PathSimple allows you to get and set values deep within a data
structure using simple paths to navigate (think XPATH without the
steroids).

Why do this when we already have direct access to the data structure? The
motivation is that the path will come from a user using a command line
tool.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.1-3.mga10
+ Revision: 2207304
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.0.1-2.mga9
+ Revision: 1815859
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 2.0.1-1.mga9
+ Revision: 1763125
- update to v2.0.1

* Fri Feb 14 2020 umeabot <umeabot> 1.0.3-2.mga8
+ Revision: 1520545
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Nov 29 2018 tv <tv> 1.0.3-1.mga7
+ Revision: 1336677
- update to v1.0.3

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-9.mga7
+ Revision: 1267003
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.0.2-8.mga6
+ Revision: 1024827
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.2-7.mga6
+ Revision: 949567
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.0.2-6.mga5
+ Revision: 790028
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 743252
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 684224
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 510618
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 365399
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 jquelin <jquelin> 1.0.2-1.mga3
+ Revision: 307190
- imported package perl-Data-PathSimple


* Tue Oct 16 2012 cpan2dist v1.0.2-1mga
- initial mageia release, generated with cpan2dist
